<?php
class AttendanceSitemanagerController extends AppController
{
	var $helpers = array('Html', 'Javascript', 'Ajax','Pagination', 'Lv');
	var $components = array ('Pagination', 'Lv','GenerateFiles','Check');
	var $uses=array('Configure','Validation','Siteinfo');
	var $layout='attendance';

	function beforeFilter()
	{
		parent::beforeFilter();
	}
	function index($a=null)
	{
		$this->pageTitle =__('title',$return = true);
		
		$infoall = $this->Siteinfo->findAll();
//var_dump($infoall);
		$this->set('infoall', $infoall);
		$this->render('index');
	}

	function delete()
	{   
		$this->pageTitle =__('title',$return = true);
		$this->layout='ajax';
		$sid  = $this->data['Siteinfo']['id'];
		$this->Siteinfo->deleteAll(array("id = ".$sid));
		$this->index();
		exit;
	}
	function update($f,$sid=null)
	{   
		$this->pageTitle =__('title',$return = true);
		$this->layout='ajax';
		$errorMessage = array();

		if($f=='init'){
			$ad = $this->Siteinfo->find("Siteinfo.id = ".$sid);
			if(!empty($ad)){
				$this->data['Siteinfo']['id'] = $ad['Siteinfo']['id'];
				$this->data['Siteinfo']['site_name'] = $ad['Siteinfo']['site_name'];
				$this->data['Siteinfo']['site_memo'] = $ad['Siteinfo']['site_memo'];
				$this->data['Siteinfo']['site_default'] = $ad['Siteinfo']['defview'];
			}
			$this->set('modify', true);
		}else if($f==1){//check
			$sid  = $this->data['Siteinfo']['id'];
			$site_name  = $this->data['Siteinfo']['site_name'];
			$site_memo  = $this->data['Siteinfo']['site_memo'];
			$defview = $this->data['Siteinfo']['site_default'];
			//入力のチェック
			if($site_name == ""){
				$errorMessage['site_name'][]= 'E-00100';
			}//var_dump($this->data['Siteinfo']);
			/*if($site_memo == ""){
				$errorMessage['site_memo'][]= 'E-00100';
			}*/
			
			$this->set('errorMessage',$errorMessage);

			if(empty($errorMessage)){
				$user = $this->Session->read('user');
				
				$add = array(
						'site_name' => "'".$this->Lv->spec_char_dbm($site_name)."'",
						'site_memo' => "'".$this->Lv->spec_char_dbm($site_memo)."'",
						'defview' => $defview,
						'update_time' => "'".date("Y/m/d H:i:s")."'",
						'update_user' => "'".$user['user_name']."'"
				);
				if($defview == 1)
					$this->Siteinfo->updateAll(array("2=2"), array("defview" => 0));
				$this->Siteinfo->updateAll(array('Siteinfo.id = '. $sid), $add);

				$this->index();
				exit;
			}else{
				//error
			}
		}

	}

	function add($f)
	{   
		$this->pageTitle =__('title',$return = true);
		$this->layout='ajax';
		$errorMessage = array();
		if($f=='add'){
		}else if($f==1){//check
			$site_name  = $this->data['Siteinfo']['site_name'];
			$site_memo  = $this->data['Siteinfo']['site_memo'];
			$defview  = $this->data['Siteinfo']['site_default'];
			//入力のチェック
			if($site_name == ""){
				$errorMessage['site_name'][]= 'E-00100';
			}
			/*if($site_memo == ""){
				$errorMessage['site_memo'][]= 'E-00100';
			}*/
			
			$this->set('errorMessage',$errorMessage);

			if(empty($errorMessage)){
				$user = $this->Session->read('user');
				
				$add = array(
						'site_name' => $this->Lv->spec_char_dbm($site_name),
						'site_memo' => $this->Lv->spec_char_dbm($site_memo),
						'defview' => $defview,
						'update_time' => date("Y/m/d H:i:s"),
						'update_user' => $user['user_name'],
						'regist_user' => $user['user_name'],
				);//var_dump($add);

				if($defview == 1)
					$this->Siteinfo->updateAll(array("2=2"), array("defview" => 0));
				$this->Siteinfo->save($add);

				$this->index();
				exit;
			}else{
				//error
			}
		}

	}
	
	function sort()
	{
		$this->pageTitle =__('title',$return = true);
		$this->layout='ajax';
		$infoall = $this->Siteinfo->findAll(null, array("Siteinfo.id","Siteinfo.site_name"),"showorder ASC");
		$this->set('infoall', $infoall);
	}
	
	function saveorder()
	{
		$this->layout='ajax';
		parse_str($_POST['sortitem']);
		var_dump($listitem);
		foreach ($listitem as $key => $val) {
			$add = array(
						'showorder' => $key+1,
				);
			$this->Siteinfo->updateAll(array('Siteinfo.id = '. $val), $add);

		}
	}
	
	function set_str_encoding($name)
    {
        $result= mb_convert_encoding($name,__('CharacterSet',$retrun=true),"UTF-8"); 
        return $result;
    } 
	
}
?>